<%@ Page Language="C#" AutoEventWireup="true" Inherits="_Default" CodeBehind="Default.aspx.cs" %>

<%@ Register Assembly="MindFusion.Diagramming.WebForms" Namespace="MindFusion.Diagramming.WebForms"
    TagPrefix="ndiag" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>MindFusion NetDiagram Sample - Postback</title>
    <link href="common/jquery-ui.min.css" rel="stylesheet" />
    <link href="common/samples.css" rel="stylesheet" />
</head>
<body>
    <form id="form1" runat="server">
    <div id="header" style="height: 49px;">
        <div style="float: left; margin-right: 15px; margin-top: 17px;">
            <asp:Button ID="btnSubmit" runat="server" OnClick="btnSubmit_Click" Text="Submit" />
        </div>
        <div style="float: right; margin-right: 5px; margin-top: 17px;">
            <button id="expandButton" onclick="onExpandCollapse()">
                &gt;</button>
        </div>
    </div>
    <div id="info" style="top: 60px; bottom: 24px;">
        <div id="infoTab" style="padding: 10px;">
            <h1>
                About this sample</h1>
            <p>
                This sample demonstrates handling the NodeClicked event in ImageMap mode and shows
                how the diagram is preserved between postbacks.</p>
        </div>
    </div>
    <div id="content" style="top: 60px; bottom: 24px;">
        <ndiag:DiagramView ID="diagramView" runat="server" Style="position: absolute; left: 0px;
            top: 0px; right: 0px; bottom: 0px;" ClientSideMode="ImageMap" ClientScriptMode="JQuery"
            JQueryLocation="common/jquery.min.js" OnNodeClicked="diagramView_NodeClicked"
            MaxImageSize="512, 512" />
    </div>
    <div id="footer" style="height: 24px;">
        <span id="copyright"></span>
    </div>
	<script type="text/javascript" src="common/jquery.min.js"></script>
    <script type="text/javascript" src="common/jquery-ui.min.js"></script>
    <script type="text/javascript" src="common/samples.js"></script>
    </form>
</body>
</html>
